﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ETSZemun0702G2
{
    public partial class frmSpisakStudenata : Form
    {
        List<Student> _lst;
        Student s = new Student();
        public frmSpisakStudenata(List<Student> lst)
        {
            InitializeComponent();
            s.id = -1;
            //test student
            Student st = new Student();
            st.id = 1;
            st.ime = "Pera";
            st.prezime = "Peric";
            st.indeks = "1/2022";
            lst.Add(st);
            _lst = lst;
            lstStudenti.DataSource = _lst;
            lstStudenti.DisplayMember = "indeks";
        }

        private void button1_Click(object sender, EventArgs e)
        {
            textBox1.Text = "";
            textBox2.Text = "";
            textBox3.Text = "";
            s = new Student();
            s.id = -1;
        }

        private void lstStudenti_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (lstStudenti.SelectedIndex < 0)
            {
                return;
            }
            s = (Student)lstStudenti.SelectedItem;
            textBox1.Text = s.ime;
            textBox2.Text = s.prezime;
            textBox3.Text = s.indeks;

        }

        private void button2_Click(object sender, EventArgs e)
        {
            s.ime = textBox1.Text;
            s.prezime = textBox2.Text;
            s.indeks = textBox3.Text;
            if (s.id == -1)
            {
                //dodvanje studenta
                int id = 1;
                if (_lst.Count > 0) {
                    id = _lst[_lst.Count - 1].id + 1;
                }
                s.id = id;
                _lst.Add(s);
            }
            else
            {
                //izmena studenta
                for (int i = 0; i < _lst.Count; i++) {
                    if (_lst[i].id == s.id) {
                        _lst[i] = s;
                    }
                }
            }

            lstStudenti.DataSource = _lst;
        }
    }
}
